Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 807548 - [abrt] telepathy-butterfly-0.5.15-4.fc16: service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/karl_2elatiss_40atvert_2ecom_2eau/TextChannel2': there is already a handl
Summary: [abrt] telepathy-butterfly-0.5.15-4.fc16: service.py:571:add_to_connection:Ke...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e23a02d050f08ffeba801e43603...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-03-28 06:25 UTC by Karl Latiss
Modified: 2013-02-13 10:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-02-13 10:32:03 UTC
Type: ---


Attachments (Terms of Use)

Description Karl Latiss 2012-03-28 06:25:17 UTC
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.0-4.fc16.x86_64
reason:         service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/karl_2elatiss_40atvert_2ecom_2eau/TextChannel2': there is already a handler"
time:           Wed 28 Mar 2012 01:51:19 PM EST
uid:            1000
username:       klatiss

backtrace:
:service.py:571:add_to_connection:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/karl_2elatiss_40atvert_2ecom_2eau/TextChannel2': there is already a handler"
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 485, in handler_created
:    if self._dispatch("on_invite_conversation", handler) == 0:
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 432, in on_invite_conversation
:    signal=True, conversation=conversation)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channelmanager.py", line 125, in channel_for_props
:    return self.create_channel_for_props(props, signal, **args)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channelmanager.py", line 110, in create_channel_for_props
:    props, **args)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel_manager.py", line 119, in _get_text_channel
:    object_path=path)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel/im.py", line 40, in __init__
:    ButterflyTextChannel.__init__(self, conn, manager, conversation, props, object_path)
:  File "/usr/lib/python2.7/site-packages/butterfly/channel/text.py", line 58, in __init__
:    object_path=object_path)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channel.py", line 230, in __init__
:    object_path=object_path)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/channel.py", line 63, in __init__
:    _Channel.__init__(self, self._conn._name, object_path)
:  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 480, in __init__
:    self.add_to_connection(conn, object_path)
:  File "/usr/lib/python2.7/site-packages/dbus/service.py", line 571, in add_to_connection
:    self._fallback)
:KeyError: "Can't register the object-path handler for '/org/freedesktop/Telepathy/Connection/butterfly/msn/karl_2elatiss_40atvert_2ecom_2eau/TextChannel2': there is already a handler"
:
:Local variables in innermost frame:
:path: '/org/freedesktop/Telepathy/Connection/butterfly/msn/karl_2elatiss_40atvert_2ecom_2eau/TextChannel2'
:connection: <dbus._dbus.SessionBus (session) at 0x2d1bbf0>
:self: <butterfly.channel.im.ButterflyImChannel at 0x30acd50>

Comment 1 Fedora End Of Life 2013-01-16 11:19:24 UTC
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 2 Fedora End Of Life 2013-02-13 10:32:07 UTC
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.